PATCH
/
business-profile
cURL
curl --request PATCH \
  --url https://api.gmbapi.com/external-api/gmb/business-profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "reference_id": "<string>"
}
'
{
  "success": true,
  "payload": {
    "id": "<string>",
    "reference_id": "<string>",
    "name": "<string>",
    "number_of_locations": 123,
    "created_at": "<string>"
  }
}
Requires an Organization token. Calling this endpoint with an Account token returns 403 Forbidden (Authorization level not found).
This endpoint updates an existing account. You must provide either account_id or reference_id as a query parameter to identify the account. Note that updating the reference_id in the request body is only allowed when looking up by account_id.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

account_id
string

The unique account ID of the account to update.

reference_id
string

Your external reference ID for the account. Note: reference_id in the body can only be updated when looking up by account_id.

Body

application/json
name
string

Updated display name for the account

reference_id
string

Updated external reference ID. Can only be changed when looking up by account_id.

Response

Account updated successfully

success
boolean
Example:

true

payload
object

An account within the organization